#include<bits/stdc++.h>
using namespace std;
int t,k,br,br1,z,o;
long long n,m;
int main(){
   cin>>t;
   for(int i=1;i<=t;i++){
      cin>>n>>m>>k;
      z=n/k;
      o=n%k;
      br=((z*(z+1))/2)*k;
      br1=(((z+1)*(z+2))/2)*o;
      if(m-(br+br1)>=0){
         cout<<"Tak"<<endl;
      }
      else{
         cout<<"Nie"<<endl;
      }
   }
return 0;
}